HINO Bugs - Bug #2368

[ESS-MEDICAL] Medical plafon tidak menginsert ke phrpa0043 dan terjadi error
10/13/2023 05:05 PM - Muhammad Bintar

Status: Closed Start date: 10/13/2023
Priority: Normal Due date: 10/19/2023
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 22.00 hours
Description

Dear tim developer ,

mohon support nya untuk perbaikan pada ess medical dimana pada saat mengajukan medical itu ada yang nyangkut di
runtaskasync.

regid 28708, 28710, 28711

proc_data_md0041-Update_ PHRPA0041_1 Failed to convert parameter value from a String to a Int64. -
MinovalS.MinovaES.Business.WorkFlow

proc_data_md0043-error on Create:Violation of PRIMARY KEY constraint 'PK_PHRPA0043_1'. Cannot insert duplicate key in object
'dbo.PHRPAQ0043'. The duplicate key value is (00000610, 1, 1).
The statement has been terminated. - MinovalS.MinovaES.Business.WorkFlow

contoh employee 00000610

remote.minovais.com: 31120
remote.minovais.com, 1458 sql server 2019

History

#1 - 10/18/2023 03:40 PM - M Azid Wahyudi

- File package ESS Medical.xlsx added

- Status changed from New to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test ya di port prod 61120 , issue ini karena banyak yg rancu yg bikin ess medical ini tidak stabil
package :

- DLL API1 & API 2 : MinovalS.Implementation.Data.Element.MedHino.dll //ambil aja dlinya di prod
- bizproc medical(afterrender)

- custparam

> (AZ_IsMDCLUpdateHeaderSeq) // new

> WFMEDGETPLAFORI // edit

settingan :

- BizData
- Bizflow
- Deftask
- Deftaskcon

makasih
#2 - 10/26/2023 10:53 AM - Muhammad Bintar
- File clipboard-202310261051-kenfg.png added

- File clipboard-202310261052-yxauw.png added
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

update:
ane udah testing 2 pengajuan ess medical, tapi ada problem pas di medical pa43 nya
Medical Claim

Home « Medical

Employee Master Data - 00000618 - Yuliana Grace Sella Putri Intan Permatasari

Employee ID: 00000618 Company ID:

PTHINO Finance Indonesia

Full Name: Yuliana Grace Sella Putri Intan Employee Office: KC Tangerang
on Permatasari o
QOrganization: Sales TGR
Employee Status: Active
=ne Position: AOSF
Employee Type: Contract

Medical Maintenance - 00000618 - Yuliana Grace Sella Putri Intan Permatasari

Action w

Start Date End Date Claim Type Treatment Type | MedicalFam... = Patient Name
26/10/2023  26/10/2023 Reimbursement RawatJalan Yes
26/10/2023  26/10/2023 Reimbursement Rawat Jalan Yes

[ a _ca ~

seharusnya amount nya 700000, kayaknya salah posting tabel field nya

Invoice Number:

Yuliana Grace Sella Putri Intan Permatasari

Yuliana Grace Sella Putri Intan Permatasari

Indra

<

Covered By Com...

11,202,000.00

Clear Filters
HR Receive Da... | Payment Plan Date  Claim 5tat... = Me
26/10/2023 31/10/2023 Dibayarkan s

26/10/2023 31/10/2023 Dibayarkan  sds

L3

Miio_a a_zn

"

Notes

Invoice Date: 26/10/2023 i
© Add @ Delete
Cost Type Speciality | Quanti.. R Unit Am... Currency = Total Am...
1 Biaya Dokter dd 1 0.00 700,000.00 Rp 700,000.00
seharusnya 700000
Total Am... Covered By Com... overed By Empl...

700,000.00 11,202,000.00 0.00

#3 - 10/26/2023 11:50 AM - Muhammad Bintar

setelah di cek , ternyata di inbox atasan nya yang salah pada kolom covered by company nya. seharusnya itu tetep membaca dari tabel runbizdata

dari creator saja sesuai yang tadi diinput oleh requester.

#4 - 10/26/2023 02:48 PM - M Azid Wahyudi
- File clipboard-202310261447-qtgyu.png added
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test ya
Minova ES | Medical X Minova ES | Delete

A Not secure - remote.minovais.com:61120/Page/WorkFlowRun?DeeTu3clVey pe/INb aGShiUT735 Xj6h 0 qva 3 | O (M Peused

v B My Workplace
- My Re rt
£ My Repo 2 Invoice

[ Workflow Report

™ Ess ePayslip
© Add & Delete

~ [= Request
. Cost Type Specialit) Quanti Unit A... Currenc Total A... Covere... Notes
» [ HR Administration P pecaly v i
» O Time Management 1 Biaya Dokt... 1 1 250,000.00 Rp 250,000.00 250,000.00
2 Eiaya Peng... 1 1 500,000.00 Rp 500,000.00 500,000.00

~ [= Benefit Management.
1] Medical
» [ Travel Management
{1 Forwarding Task
] nbox
{1 Outbox
{1 Draft
& Payment Summary
1 Archive

{] Delete Request ID

Total Amount:
» [3 Business Intelligence 750000

Covered By Company:

» [ Human Resource 750000

» (3 Menu Development Covered By Employee:

» [ System Administration

& Plafond Summary

package :
bizproc (afterrender)

makasih

#5 - 11/01/2023 03:51 PM - Muhammad Bintar

- File clipboard-202311011550-nqrda.png added

- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to M Azid Wahyudi

okeh sudah dideploy ke server HINO development dan production

£ Minova ES | Medical X | £ Minova ES | Workflow X | £ Minova ES | Medical | X

2
< C @ localhost:31 120/Page/medical?Uqgs9pIVxMZmxd2LjhTkpvldiwD9gnRghhgEe TpCt/IAiYgdNmHIBfFt+RE/TvRzjMxw2 PNj3YPwWFRPaOpYrjUA== = W o s Update |

EHINO - 53

MinovakS Menu . .
Medical Claim
* = My Workplace
Home » W
* = My Report
| Workflow Report Employee Master Data - 00000017 - Asep Juhra B Sata

| ESS ePayslip Employee |D: 00000017 Company ID: PT HINO Finance Indonesia

\=> Request .
b Full Name: Asep Juhra B 5ata Employee Office: Head Office

1 HR Administrati
' ministration Employee Status: Active Organization: ITO Department

» [ Time Management . )
' & Employee Type: Permanent Position: ITO Supervisor

= Benefit Manage...

(Il Medical Edit - Medical Maintenance - 00000017 - Asep Juhra B Sata

[ Travel Managem...

[} Formarting Task Start Date: o HR Receive Date: P -

Payment Plan Date:

(] Inbox End Date: 01/11/2023 15/11/2023 i

{] outbex Treatment Type: Eowat oo . Claim Status: Nbayarkan .

{] Draft .

I Patient Name: P Notes:

= "M Paid Date: N — -
Files
package ESS Medical.xlsx 20.4 KB 10/18/2023 M Azid Wahyudi
clipboard-202310261051-kenfg.png 75.5 KB 10/26/2023 Muhammad Bintar
clipboard-202310261052-yxauw.png 38.7 KB 10/26/2023 Muhammad Bintar
clipboard-202310261447-qgtgyu.png 126 KB 10/26/2023 M Azid Wahyudi
clipboard-202311011550-ngrda.png 192 KB 11/01/2023 Muhammad Bintar

07/02/2025 4/4


http://www.tcpdf.org

